import type { JSONPath, JSONPointer } from './types';
/**
 * Parse a JSON Pointer
 */
export declare function parseJSONPointer(pointer: JSONPointer): string[];
/**
 * Compile a JSON Pointer
 */
export declare function compileJSONPointer(path: JSONPath): JSONPointer;
/**
 * Compile a single path property from a JSONPath
 */
export declare function compileJSONPointerProp(pathProp: string | number): JSONPointer;
/**
 * Append a path property to a JSONPointer
 */
export declare function appendToJSONPointer(pointer: JSONPointer, pathProp: string | number): JSONPointer;
/**
 * Test whether `pointer` starts with `searchPointer`
 */
export declare function startsWithJSONPointer(pointer: JSONPointer, searchPointer: JSONPointer): boolean;
//# sourceMappingURL=jsonPointer.d.ts.map